Bug 1273132 - many attrlist_replace errors in connection with cleanallruv
Summary: many attrlist_replace errors in connection with cleanallruv
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On: 1267405
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-19 17:36 UTC by Jan Kurik
Modified: 2016-03-16 14:48 UTC (History)
9 users (show)

Fixed In Version: 389-ds-base-1.2.11.15-66.el6_7
Doc Type: Bug Fix
Doc Text:
When multiple replica update vector (RUV) updates were skipped in fractional replication, RUV was not updated at the end of the session. The next session then restarted evaluating the same skipped updates. To fix the problem, a system subentry has been added, which is occasionally updated even when no applicable changes can be replicated at the time of the update. This prevents the unnecessary replays.
Clone Of: 1267405
Environment:
Last Closed: 2015-12-15 13:31:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2640 0 normal SHIPPED_LIVE 389-ds-base bug fix update 2015-12-15 18:29:53 UTC

Description Jan Kurik 2015-10-19 17:36:54 UTC
This bug has been copied from bug #1267405 and has been proposed
to be backported to 6.7 z-stream (EUS).

Comment 4 Sankar Ramalingam 2015-11-26 15:06:12 UTC
Verification steps - https://bugzilla.redhat.com/show_bug.cgi?id=1267405#c2

Comment 5 Sankar Ramalingam 2015-12-02 06:19:20 UTC
I have six master replication setup and my nsds50ruv details as like this...

nsDS5ReplicaCredentials: {DES}2mO8LgMr/w5ognn2BRK+gQ==
nsds50ruv: {replicageneration} 565de5cb000004cf0000
nsds50ruv: {replica 1232 ldap://iceman.idmqe.lab.eng.bos.redhat.com:1289}
nsds50ruv: {replica 1231 ldap://iceman.idmqe.lab.eng.bos.redhat.com:1189} 565d
 e842000004cf0000 565de846000804cf0000
nsds50ruv: {replica 2231 ldap://iceman.idmqe.lab.eng.bos.redhat.com:2189}
nsds50ruv: {replica 2332 ldap://iceman.idmqe.lab.eng.bos.redhat.com:3289}
nsds50ruv: {replica 2331 ldap://iceman.idmqe.lab.eng.bos.redhat.com:3189}
nsds50ruv: {replica 2232 ldap://iceman.idmqe.lab.eng.bos.redhat.com:2289}

So, I am going ahead and cleaning rid 2231. rid 1231 is the local rid.

[root@iceman ~]# ldapmodify -x -p 1189 -h localhost -D "cn=Directory Manager" -w Secret123 -avf /export/cleanruv.ldif 
ldap_initialize( ldap://localhost:1189 )
add cn:
	M3clean
add objectclass:
	extensibleObject
add replica-base-dn:
	dc=passsync,dc=com
add replica-id:
	2231
adding new entry "cn=M3clean,cn=cleanallruv,cn=tasks,cn=config"
modify complete

[root@iceman ~]# cat /export/cleanruv.ldif 
dn: cn=M3clean,cn=cleanallruv,cn=tasks,cn=config
cn: M3clean
objectclass: extensibleObject
replica-base-dn: dc=passsync,dc=com
replica-id: 2231


[02/Dec/2015:00:53:42 -0500] NSMMReplicationPlugin - CleanAllRUV Task (rid 2231): Not all replicas online, retrying in 40 seconds... 
[02/Dec/2015:00:54:22 -0500] slapi_ldap_bind - Error: could not send bind request for id [cn=SyncManager,cn=config] mech [SIMPLE]: error -1 (Can't contact LDAP server) 0 (unknown) 107 (Transport endpoint is not connected)
[02/Dec/2015:00:54:22 -0500] NSMMReplicationPlugin - agmt="cn=1189_to_2616_on_iceman.idmqe.lab.eng.bos.redhat.com" (iceman:2616): Replication bind with SIMPLE auth failed: LDAP error -1 (Can't contact LDAP server) ((null))
[02/Dec/2015:00:54:22 -0500] NSMMReplicationPlugin - CleanAllRUV Task (rid 2231): Replica not online (agmt="cn=1189_to_2616_on_iceman.idmqe.lab.eng.bos.redhat.com" (iceman:2616)) 
[02/Dec/2015:00:54:22 -0500] NSMMReplicationPlugin - CleanAllRUV Task (rid 2231): Not all replicas online, retrying in 80 seconds... 


[root@iceman ~]# grep -i "attr_replace*.*failed*" /var/log/dirsrv/slapd-*/errors
[root@iceman ~]# echo $?
1

No signs of errors as mentioned in https://bugzilla.redhat.com/show_bug.cgi?id=1267405#c0. Hence, marking the bug as Verified.


Build tested:
[root@iceman ~]# rpm -qa |grep -i 389-ds-base
389-ds-base-devel-1.2.11.15-67.el6_7.x86_64
389-ds-base-1.2.11.15-67.el6_7.x86_64
389-ds-base-libs-1.2.11.15-67.el6_7.x86_64
389-ds-base-debuginfo-1.2.11.15-67.el6_7.x86_64

Comment 7 errata-xmlrpc 2015-12-15 13:31:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2640.html

Comment 8 Sankar Ramalingam 2016-03-16 14:48:15 UTC
Adding ldapsearch query.

PORT="1189" ; ldapsearch -LLL -x -p $PORT -h localhost -D "cn=Directory Manager" -w Secret123 -b "dc=passsync,dc=com" -s one '(&(nsuniqueid=ffffffff-ffffffff-ffffffff-ffffffff)(objectclass=nstombstone))' nsds50ruv


Note You need to log in before you can comment on or make changes to this bug.